Start authorization code with PKCE
curl --request GET \
--url https://api.sharedgraph.com/api/auth/oauth2/authorizeconst options = {method: 'GET'};
fetch('https://api.sharedgraph.com/api/auth/oauth2/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sharedgraph.com/api/auth/oauth2/authorize"
response = requests.get(url)
print(response.text){
"url": "<string>",
"redirect": true
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}OAuth
Start authorization code with PKCE
Browser navigation to the provider. An account login and deliberate consent are required before a code is issued. The account cookie is provider UI authority, never social API authority. Use a confidential server-backed client, exact registered redirect URI, S256 PKCE, state and nonce. Resources are unsupported.
GET
/
api
/
auth
/
oauth2
/
authorize
Start authorization code with PKCE
curl --request GET \
--url https://api.sharedgraph.com/api/auth/oauth2/authorizeconst options = {method: 'GET'};
fetch('https://api.sharedgraph.com/api/auth/oauth2/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sharedgraph.com/api/auth/oauth2/authorize"
response = requests.get(url)
print(response.text){
"url": "<string>",
"redirect": true
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}Query Parameters
Available options:
code Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
S256 Available options:
consent